Page MenuHomePhabricator

Use semantic HTML (tracking)
Closed, ResolvedPublic

Description

Author: ayg

Description:
This bug tracks all proposed improvements in terms of using more semantically correct HTML, primarily in the interface but also potentially in wikitext.

(See also T2209, which this does not block because semantics in XHTML 1.1 are not normative, unlike, e.g., in the current draft of HTML 5.)


Version: unspecified
Severity: enhancement
See Also:

Details

Reference
bz10467

Related Objects

StatusAssignedTask
OpenNone
ResolvedNone
ResolvedNone
Resolvedmatmarex
ResolvedNone
DuplicateCatrope
Resolvedbrion
DeclinedNone
DeclinedNone
ResolvedNone
DeclinedNone
DeclinedNone
OpenNone
OpenNone
ResolvedNone
OpenNone
OpenNone
DeclinedNone
ResolvedNone
ResolvedArlolra
DeclinedNone
ResolvedNone
DeclinedNone
OpenNone
InvalidNone
OpenNone
StalledNone
OpenNone
OpenNone
OpenArlolra
ResolvedArlolra
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
DeclinedNone
OpenNone
OpenNone
ResolvedNone
DeclinedNone
ResolvedNone
OpenNone
OpenNone
StalledNone
Resolvedcscott
OpenNone
ResolvedArlolra
Resolvedssastry
ResolvedbearND
ResolvedbearND
ResolvedbearND
ResolvedbearND
OpenApap04
OpenNone

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 9:51 PM
bzimport set Reference to bz10467.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Jul 4 2007, 7:18 PM

Adding 'tracking' keyword.

Jay8g added a subscriber: Jay8g.Jun 6 2015, 3:03 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 3 2015, 1:23 AM
Scott added a subscriber: Scott.Nov 30 2015, 7:21 PM
jayvdb added a subscriber: jayvdb.Jan 19 2016, 8:05 AM
Danny_B moved this task from Unsorted to Semantic HTML on the Accessibility board.
Nirmos added a subscriber: Nirmos.Aug 4 2017, 8:44 PM
Krinkle closed this task as Resolved.Apr 20 2018, 4:18 PM
Krinkle moved this task from Tag to Transition completed / Archived on the Tracking-Neverending board.
Krinkle added a subscriber: Krinkle.

I've tagged the remaining open tags with Accessibility and its workboard column "Semantic HTML". Beyond tracking for discovery by experts in accessibility, tracking general issues with some form or another relating to HTML isn't useful.

ssastry changed the status of subtask T118517: [RFC] Use <figure> for media from Open to Stalled.Mar 29 2019, 11:05 PM